﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Media;

namespace GridDataControl_Filtering
{
    class Data:INotifyPropertyChanged
    {

        private int customerID;

        public int CustomerID
        {
            get { return customerID; }
            set { customerID = value; OnpropertyChanged("CustomerID"); }
        }

        
        private string customerName;

        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; OnpropertyChanged("CustomerName"); }
        }
              
        
        private int productID;

        public int ProductID
        {
            get { return productID; }
            set { productID = value; OnpropertyChanged("ProductID"); }
        }
        private string productName;

        public string ProductName
        {
            get { return productName; }
            set { productName = value; OnpropertyChanged("ProductName"); }
        }
        private double productPrice;

        public double ProductPrice
        {
            get { return productPrice; }
            set { productPrice = value; OnpropertyChanged("ProductPrice"); }
        }
        private decimal quantity;

        public decimal Quantity
        {
            get { return quantity; }
            set { quantity = value; OnpropertyChanged("Quantity"); }
        }
        private DateTime time;
        public DateTime Time
        {
            get { return time; }
            set
            {
                time = value;
                OnpropertyChanged("Time");
            }


        }


        private bool? _isSelected;

        public bool? IsSelected
        {
            get { return this._isSelected; }
            set { this._isSelected = value; OnpropertyChanged("IsSelected"); }
        }
      
        
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnpropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }

      
    }

 
}
