﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using System.Windows.Media;
using Syncfusion.Windows.Controls.Grid;
using System.ComponentModel;

namespace GridDataControl_Filtering
{
    class ViewModel:INotifyPropertyChanged
    {
        public ViewModel()
        {
            this.GDCSource = Getsource();
            this.RowBackGround = Brushes.SkyBlue;
            this.ForeGround = Brushes.Red;
            this.ComboSource = ComboBoxSource();
            
        }
        private Brush rowbackground;

        public Brush RowBackGround
        {
            get { return rowbackground; }
            set { rowbackground = value; OnpropertyChanged("RowBackGround"); }
        }
        private Brush foreground;

        public Brush ForeGround
        {
            get { return foreground; }
            set { foreground = value; OnpropertyChanged("ForeGround"); }
        }
        private ObservableCollection<Data> _gdcsource;
        public ObservableCollection<Data> GDCSource
        {
            get { return _gdcsource; }
            set { _gdcsource = value;
        }
        }
        private ObservableCollection<Data> combosource;
        public ObservableCollection<Data> ComboSource
        {
            get { return combosource; }
            set { combosource = value; }
        }                        
        private ObservableCollection<Data> Getsource()
        {
            ObservableCollection<Data> items = new ObservableCollection<Data>();
            if (items != null)
            {
                items.Add(new Data() { CustomerID = 1, CustomerName = "Thomas", ProductID = 44,ProductName = "Reebok Shoes", ProductPrice = 200.30, Quantity = 4.50m,IsSelected=false,Time=DateTime.Now});
                items.Add(new Data() { CustomerID = 2, CustomerName="Nestor", ProductID = 45,ProductName = "Adidas Shoes", ProductPrice = 150.15, Quantity = 5 ,IsSelected=true,Time=DateTime.Now});
                items.Add(new Data() { CustomerID = 3, CustomerName = "Vincent", ProductID = 42, ProductName = "Nokia Mobile", ProductPrice = 50.21, Quantity = 6.8m, IsSelected = true, Time = DateTime.Now });
                items.Add(new Data() { CustomerID = 4, CustomerName = "Jerald", ProductID = 40, ProductName = "Samsung Mobile", ProductPrice = 65.98, Quantity = 12, IsSelected = true, Time = DateTime.Now });
                         
            }
            return items;               

        }
        private ObservableCollection<Data> ComboBoxSource()
        {
            ObservableCollection<Data> item = new ObservableCollection<Data>();
            item.Add(new Data() { ProductID = 11, ProductName = "LG" });
            item.Add(new Data() { ProductID = 12, ProductName = "Lenovo" });
            item.Add(new Data() { ProductID = 13, ProductName = "Ericsson" });
            item.Add(new Data() { ProductID = 14, ProductName = "Nokia" });
            return item;
        }
        public event PropertyChangedEventHandler PropertyChanged;

        public void OnpropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }

    }
}
